- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends

# QGLFramebufferObject Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qglframebufferobject.h.

`#include <qglframebufferobject.h>`

Inheritance diagram for QGLFramebufferObject:
[legend]

List of all members.

## Public Types
enum | Attachment { NoAttachment, CombinedDepthStencil, Depth }
## Public Member Functions
| QGLFramebufferObject (const QSize &size, GLenum target=GL_TEXTURE_2D)
| QGLFramebufferObject (int width, int height, GLenum target=GL_TEXTURE_2D)
| QGLFramebufferObject (const QSize &size, Attachment attachment, GLenum target=GL_TEXTURE_2D, GLenum internal_format=GL_RGBA8)
| QGLFramebufferObject (int width, int height, Attachment attachment, GLenum target=GL_TEXTURE_2D, GLenum internal_format=GL_RGBA8)
| QGLFramebufferObject (const QSize &size, const QGLFramebufferObjectFormat &format)
| QGLFramebufferObject (int width, int height, const QGLFramebufferObjectFormat &format)
virtual | ~QGLFramebufferObject ()
QGLFramebufferObjectFormat | format () const
bool | isValid () const
bool | isBound () const
bool | bind ()
bool | release ()
GLuint | texture () const
QSize | size () const
QImage | toImage () const
Attachment | attachment () const
QPaintEngine * | paintEngine () const
GLuint | handle () const
void | drawTexture (const QRectF &target, GLuint textureId, GLenum textureTarget=GL_TEXTURE_2D)
void | drawTexture (const QPointF &point, GLuint textureId, GLenum textureTarget=GL_TEXTURE_2D)
## Static Public Member Functions
static bool | bindDefault ()
static bool | hasOpenGLFramebufferObjects ()
static bool | hasOpenGLFramebufferBlit ()
static void | blitFramebuffer (QGLFramebufferObject *target, const QRect &targetRect, QGLFramebufferObject *source, const QRect &sourceRect, GLbitfield buffers=GL_COLOR_BUFFER_BIT, GLenum filter=GL_NEAREST)
## Protected Member Functions
int | metric (PaintDeviceMetric metric) const
int | devType () const
## Friends
class | QGLPaintDevice
class | QGLFBOGLPaintDevice

## Member Enumeration Documentation

enum Attachment

Search for all occurrences

Enumerator:

  NoAttachment | Search for all occurrences
  CombinedDepthStencil | Search for all occurrences
  Depth | Search for all occurrences

Definition at line 61 of file qglframebufferobject.h.

                        {
            NoAttachment,
            CombinedDepthStencil,
            Depth
        };

## Constructor & Destructor Documentation

QGLFramebufferObject | ( | const QSize & | size,
|  | GLenum | target = `GL_TEXTURE_2D`
| ) |  |

QGLFramebufferObject | ( | int | width,
|  | int | height,
|  | GLenum | target = `GL_TEXTURE_2D`
| ) |  |

QGLFramebufferObject | ( | const QSize & | size,
|  | Attachment | attachment,
|  | GLenum | target = `GL_TEXTURE_2D`,
|  | GLenum | internal_format = `GL_RGBA8`
| ) |  |

QGLFramebufferObject | ( | int | width,
|  | int | height,
|  | Attachment | attachment,
|  | GLenum | target = `GL_TEXTURE_2D`,
|  | GLenum | internal_format = `GL_RGBA8`
| ) |  |

QGLFramebufferObject | ( | const QSize & | size,
|  | const QGLFramebufferObjectFormat & | format
| ) |  |

QGLFramebufferObject | ( | int | width,
|  | int | height,
|  | const QGLFramebufferObjectFormat & | format
| ) |  |

virtual ~QGLFramebufferObject | ( |  | ) | `[virtual]`

## Member Function Documentation

QGLFramebufferObjectFormat format | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

bool isBound | ( |  | ) | const

Search for all occurrences

bool bind | ( |  | ) |

Search for all occurrences

bool release | ( |  | ) |

Search for all occurrences

GLuint texture | ( |  | ) | const

Search for all occurrences

QSize size | ( |  | ) | const

Search for all occurrences

QImage toImage | ( |  | ) | const

Search for all occurrences

Attachment attachment | ( |  | ) | const

Search for all occurrences

QPaintEngine* paintEngine | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QPaintDevice.

GLuint handle | ( |  | ) | const

Search for all occurrences

static bool bindDefault | ( |  | ) | `[static]`

Search for all occurrences

static bool hasOpenGLFramebufferObjects | ( |  | ) | `[static]`

Search for all occurrences

void drawTexture | ( | const QRectF & | target,
|  | GLuint | textureId,
|  | GLenum | textureTarget = `GL_TEXTURE_2D`
| ) |  |

Search for all occurrences

void drawTexture | ( | const QPointF & | point,
|  | GLuint | textureId,
|  | GLenum | textureTarget = `GL_TEXTURE_2D`
| ) |  |

Search for all occurrences

static bool hasOpenGLFramebufferBlit | ( |  | ) | `[static]`

Search for all occurrences

static void blitFramebuffer | ( | QGLFramebufferObject * | target,
|  | const QRect & | targetRect,
|  | QGLFramebufferObject * | source,
|  | const QRect & | sourceRect,
|  | GLbitfield | buffers = `GL_COLOR_BUFFER_BIT`,
|  | GLenum | filter = `GL_NEAREST`
| ) |  | `[static]`

Search for all occurrences

int metric | ( | PaintDeviceMetric | metric | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QPaintDevice.

int devType | ( |  | ) | const `[inline, protected, virtual]`

Search for all occurrences

Reimplemented from QPaintDevice.

Definition at line 130 of file qglframebufferobject.h.

    { return QInternal::FramebufferObject; }

## Friends And Related Function Documentation

friend class QGLPaintDevice `[friend]`

Search for all occurrences

Definition at line 135 of file qglframebufferobject.h.

friend class QGLFBOGLPaintDevice `[friend]`

Search for all occurrences

Definition at line 136 of file qglframebufferobject.h.

The documentation for this class was generated from the following file:

- QtOpenGL/qglframebufferobject.h

QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject
QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject QGLFramebufferObject